LAT_FIFO(8)

NAME
lat_fifo - measure named pipe (FIFO) latencies

SYNOPSIS
lat_fifo

DESCRIPTION
lat_fifo uses two processes communicating through a named pipe to measure interprocess communication latencies. The benchmark passes a token back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is included. Output format is like so

FIFO latency: 491 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), mknod(2), read(2), write(2).